import crafttweaker.api.item.IItemStack;
import crafttweaker.api.ingredient.IIngredient;
import crafttweaker.api.data.IData;
import crafttweaker.api.util.random.Percentaged;

function addCompactor(uniqueID as string, itemIn as Percentaged<IItemStack>, itemOut as IItemStack) as void {
	val itemInData = itemIn.getData();
	<recipetype:alchemistry:compactor>.addJsonRecipe("compacting_" + uniqueID, {
		"type": "alchemistry:compactor",
		"group": "alchemistry:compactor",
		"input": {"count" : itemInData.amount, "ingredient" : itemInData as IData},
		"result": itemOut as IData
	});
}

addCompactor("silicon", <item:chemlib:silicon> * 16, <item:enderio:silicon>);
addCompactor("sulfur", <item:chemlib:sulfur> * 16, <item:mekanism:dust_sulfur>);

### Script by FoxMcloud5655